@import "normalize";
@import "constans";
@import "mixins";

body, html {
  font-size: 16px;
  font-family: "HelveticaNeue", "Roboto", "Helvetica", "Arial", sans-serif;
  color: #4f585f;
}

#app {
  width: 100%;
  height: 100%;
}

h1 {
  font-size: 18px;
  line-height: 20px;
  font-weight: bold;
  margin-bottom: 10px;
}

h2 {
  font-size: 16px;
  line-height: 18px;
  font-weight: bold;
  text-transform: uppercase;
}

h3 {
  font-size: 12px;
  line-height: 14px;
}

p {
  font-size: 14px;
  line-height: 16px;
  margin-bottom: 4px;
}

.flex {
  .flex-center();

  &.left {
    justify-content: flex-start;
  }

  &.right {
    justify-content: flex-end;
  }

  &.between {
    justify-content: space-between;
  }

  &.around {
    justify-content: space-around;;
  }

  &.top {
    align-items: flex-start;
  }

  &.bottom {
    align-items: flex-end;
  }

  &.column {
    flex-flow: column;
  }

  &.stretch {
    align-items: stretch;
  }

  .start {
    align-self: flex-start;
  }

  .end {
    align-self: flex-end;
  }
}

.show-more {
  font-size: 14px;
  font-weight: 500;
  line-height: 1.43;
  text-align: left;
  color: #0180cb;
  cursor: pointer;
  margin: 10px 0;
}

.top-contents-block {
  padding-bottom: 20px;
  .title {
    font-size: 16px;
    line-height: 1.25;
    color: #0180cb;
  }

}

.button {
  width: 190px;
  height: 50px;
  font-size: 16px;
  border-radius: 5px;
  background-color: #0180cb;
  font-weight: bold;
  line-height: 1.25;
  letter-spacing: 0.5px;
  text-align: center;
  color: #ffffff;
  cursor: pointer;
}
//::-webkit-scrollbar {
//  width: 8px;
//}
//
//::-webkit-scrollbar-thumb {
//  background: linear-gradient(271deg, #ffcb49, #f4a12a);
//  border-radius: 2px;
//}
//
//::-webkit-scrollbar-track {
//  background: #f4f4f4;
//}
//
//::-webkit-scrollbar:horizontal {
//  height: 8px;
//}
//
//.main-conteiner {
//  flex:1 0 auto;
//}
